c2hs (0.17.2-1) unstable; urgency=medium

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Wed, 06 Aug 2014 17:47:02 +0200

c2hs (0.17.1-1) unstable; urgency=medium

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Wed, 16 Apr 2014 10:30:00 +0200

c2hs (0.16.5-1) unstable; urgency=low

  [ Joachim Breitner ]
  * Adjust watch file to new hackage layout

  [ Raúl Benencia ]
  * New upstream release (Closes: #709835)
  * Drop patches/language-c-version-bump as it's no longer needed

 -- Raúl Benencia <rul@kalgan.cc>  Fri, 28 Feb 2014 13:42:39 -0300

c2hs (0.16.4-2) unstable; urgency=low

  * Enable compat level 9

 -- Joachim Breitner <nomeata@debian.org>  Fri, 24 May 2013 12:49:41 +0200

c2hs (0.16.4-1) experimental; urgency=low

  * Depend on haskell-devscripts 0.8.13 to ensure this packages is built
    against experimental
  * Bump standards version, no change
  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Thu, 08 Nov 2012 22:28:20 +0100

c2hs (0.16.3-2) unstable; urgency=low

  * patches/language-c-version-bump: Patch to work with language-c-0.4.2
    (Closes: #641112)
  * Specify version constraints of libghc-language-c-dev in Build-Depends.

 -- Joachim Breitner <nomeata@debian.org>  Sat, 10 Sep 2011 15:36:46 +0200

c2hs (0.16.3-1) unstable; urgency=low

  [ Marco Silva ]
  * Use ghc instead of ghc6

  [ Erik de Castro Lopo ]
  * New upstream.
  * Bump standards version (no changes needed).

 -- Erik de Castro Lopo <erikd@mega-nerd.com>  Tue, 10 May 2011 08:38:17 +1000

c2hs (0.16.2-1) unstable; urgency=low

  [ Marco Túlio Gontijo e Silva ]
  * debian/copyright: Specify revision of Format-Specification:.
  * debian/patches/04_ghc6-6.12.diff: Use DEP-3 format.
  * Use debian/compat 7.

  [ Joachim Breitner ]
  * New upstream release.
  * Remove patch 04_ghc6-6.12.diff

 -- Joachim Breitner <nomeata@debian.org>  Fri, 23 Apr 2010 14:33:24 +0200

c2hs (0.16.0-1) unstable; urgency=low

  [ Erik de Castro Lopo ]
  * New upstream.
  * debian/control:
    - Maintainer is now Debian Haskell Group with two uploaders.
    - Make Vcs-* fields point to darcs.
    - Homepage now points to Hackage.
    - Standards version 3.8.3.
    - Move Build-Depends-Indep entries to Build-Depends.
    - Update Build-Depends.
    - Use haskell-descripts Depends/Recommends/Suggests replacements.
  * debian/watch: Point to Hackage.
  * debian/rules: Switch to haskell-devscripts for build.
  * debian/c2hs.install: Changes required due to change in build.
  * debian/patches/ : Convert dpatch patches to quilt.

  [ Marco Túlio Gontijo e Silva ]
  * debian/control: Change Priority: to extra.
  * debian/watch: Use format that works for --download-current-version.
  * debian/watch: Add .tar.gz to downloaded filename.
  * debian/watch: Include package name in downloaded .tar.gz.
  * debian/control: Change Section: to haskell.
  * debian/watch: Remove spaces, since they're not allowed by uscan.
  * debian/control: Use Vcs-Browser: field.
  * debian/control: Bump Standards-Version: to 3.8.4, no changes needed.
  * Use 3.0 (quilt) source format.
  * Include patch to work with ghc6-6.12.
  * debian/copyright: Use DEP-5 format.
  * debian/control: Bump Build-Depends: on haskell-devscripts to 0.7 and
    remove versioned Build-Depends on ghc6.
  * debian/control: Correct spacing of Homepage: field.

 -- Marco Túlio Gontijo e Silva <marcot@debian.org>  Fri, 12 Feb 2010 22:34:33 -0200

c2hs (0.15.1-4) unstable; urgency=low

  * debian/control:
    - Add doc-base to the Suggests of c2hs-doc.
    - Let the Vcs-* fields point the trunk branch.

 -- Arjan Oosting <arjan@debian.org>  Sun, 16 Mar 2008 23:40:39 +0100

c2hs (0.15.1-3) unstable; urgency=low

  * Fix lintian warnings:
    - Remove Apps prefix from Section to fix lintian warning:
      c2hs-doc: doc-base-unknown-section c2hs-doc:12 Apps/Programming
    - Added debian/patches/03_fix-man-page to fix lintian warning:
      c2hs: manpage-has-errors-from-man usr/share/man/man1/c2hs.1.gz
      109: warning: `Bc2hs' not defined.
  * debian/rules:
    - Remove configure-stamp on clean.

 -- Arjan Oosting <arjan@debian.org>  Sun, 16 Mar 2008 15:36:20 +0100

c2hs (0.15.1-2) unstable; urgency=low

  * Update for GHC 6.8.2 which ships a new Cabal version:
    - debian/patches/00list: Disable 02_backport-to-old-cabal.
    - debian/control: Bump build dependency on ghc6 to 6.8.2.
    - debian/rules: Remove installed license file COPYING.

 -- Arjan Oosting <arjan@debian.org>  Mon, 07 Jan 2008 11:16:19 +0100

c2hs (0.15.1-1) unstable; urgency=low

  * New upstream release:
  * debian/c2hs.1: Removed as upstream ships the man page again.
  * debian/c2hs-doc.doc-base:
    - We only have html documentation so remove the "Format: text" entry.
    - Adjust paths to the html documentation.
  * debian/control:
    - Update Build-Depends-Indep for the changed way upstream builds the
      Users Guide.
    - Replace Xs-Vcs-* fields with the new official Vcs-* fields.
    - Bump Standards-Version to 3.7.3. No changes needed.
    - Add Homepage field.
  * debian/copyright:
    - Fix lintian error "copyright-file-contains-full-gfdl-license".
  * debian/rules:
    - Export DEB_HOST_GNU_TYPE and DEB_BUILD_GNU_TYPE as
      /usr/share/doc/autotools-dev/README.Debian.gz suggests.
    - Call make -C doc in build-indep target to make the Users Guide.
  * debian/patches/11_documentation-fix.dpatch: Removed. Fixed upstream.
  * debian/patches/01_update-manpage.dpatch: Removed. Man page is not
    generated during build anymore.
  * debian/patches/01_fix-stylesheet-path-for-debian.dpatch: Added.
    Adjust the Makefile for the path to the stylesheet, which is
    different in Debian.
  * debian/patches/02_backport-to-old-cabal.dpatch: Added. Adjust .cabal
    for old Cabal version shipped with GHC 6.6.1
  * debian/c2hs.manpages: Added.

 -- Arjan Oosting <arjan@debian.org>  Mon, 07 Jan 2008 01:07:37 +0100

c2hs (0.15.0-1) experimental; urgency=low

  * New upstream release.
  * debian/c2hs.1: Added temporarily.
  * debian/c2hs.install:
    - Updated for new release.
  * debian/control:
    - Add alex and happy to the Build-Depends.
    - Drop autotools-dev from the Build-Depends as the config.{sub,guess}
      files are not needed anymore.
    - Temporarily stop building the c2hs-doc package as upstream
      accidentally did not ship documentation with this release.
  * debian/patches:
    - Disabled 01_update-manpage and 11_documentation-fix as the tarball
      does not ship any documentation.
    - Removed 02_generate-manpage, 03_install-manpage,
      04_add-destdir-support, 05_fix-tests, 08_fix-autoconf-warning,
      10_update-configure and 12_nostrip.
      The build system no longer uses autotools and makefiles.
    - Removed 06_fix-Setup-for-ghc-6.4.2, 07_new-Data.Set-api and
      09_replace-deprecated-withObject. Fixes are included upstream
  * debian/rules:
    - Tarball does not ship tests or documentation so removed
      corresponding lines from debian/rules.
    - No need to copy up-to-date config.{sub,guess} files as they are not
      used anymore.
    - ./setup configure does not create a config.status file anymore, so
      instead touch configure-stamp at the end of the configure target.

 -- Arjan Oosting <arjan@debian.org>  Sun, 16 Sep 2007 20:48:55 +0200

c2hs (0.14.5-9) unstable; urgency=low

  * debian/control:
    - Update XS-Vcs-* fields as the packages has moved to the pkg-haskell
      subversion archive.
  * debian/patches/12_nostrip.dpatch:
    - Do not unconditionally strip binaries. (Closes: #436611)

 -- Arjan Oosting <arjan@debian.org>  Sun, 12 Aug 2007 14:38:33 +0200

c2hs (0.14.5-8) unstable; urgency=low

  * debian/compat: Change to debhelper compatibility level 5.
  * debian/control:
    - Add XS-Vcs-Browser field.
    - Bump dependency on debhelper to debhelper 5 or higher.

 -- Arjan Oosting <arjan@debian.org>  Wed, 11 Apr 2007 23:53:47 +0200

c2hs (0.14.5-7) unstable; urgency=low

  * debian/rules: enclose paths in double quotes because directories can
    contain spaces.
  * debian/patches/11_documentation-fix.dpatch: Fix the context
    documentation as there are only two parameters.
    Thanks, Marco Túlio Gontijo e Silva (Closes: #408400)

 -- Arjan Oosting <arjan@debian.org>  Sat, 27 Jan 2007 13:28:10 +0100

c2hs (0.14.5-6) unstable; urgency=medium

  * debian/patches/09_replace-deprecated-withObject: Replace all
    occurrences of 'withObject' with 'with' as the deprecated 'withObject'
    was removed with GHC 6.6. (Closes: #402979)
  * Set the urgency to medium as the above bug decreases c2hs usefulness
    with GHC 6.6 dramatically.

 -- Arjan Oosting <arjan@debian.org>  Thu, 14 Dec 2006 00:06:12 +0100

c2hs (0.14.5-5) unstable; urgency=low

  * Stop using update-haskell-control and $ghc6_* variables, as it is not
    necessary and not using it simplifies the work for porters and for me.

 -- Arjan Oosting <arjan@debian.org>  Sat, 21 Oct 2006 22:49:45 +0200

c2hs (0.14.5-4) unstable; urgency=medium

  * debian/control.in:
    - Add XS-Vcs-Svn field pointing to subversion archive which contains
      this package.
    - Cleanup the Depends line of c2hs-doc.
    - Change maintainer address.
  * debian/patches/07_new-Data.Set-api.dpatch: added. GHC version 6.6
    requires the new Data.Set API. (Closes: 393585)
  * debian/patches/08_fix-autoconf-warning.dpatch: added. Fix warning
    about datarootdir with newer versions of autoconf.

 -- Arjan Oosting <arjan@debian.org>  Tue, 17 Oct 2006 02:55:28 +0200

c2hs (0.14.5-3) unstable; urgency=low

  * Fix broken debian/rules:
    - Let build only depend on binary-arch as dpkg-buildpackage (and thus
      the buildds) will call build even when it is only building the
      architecture dependent packages. (thanks Kari Pahula)
    - Fix bashism.  (thanks John Goerzen)

 -- Arjan Oosting <arjanoosting@home.nl>  Sat,  1 Jul 2006 20:19:52 +0200

c2hs (0.14.5-2) unstable; urgency=low

  * Update package for ghc6 version 6.4.2.
  * debian/control.in:
    - remove libghc6-cabal-dev from Build-Depends.
    - add ghc6 (>= 6.4.2) to Build-Depends to get Cabal version >= 1.1.4.
    - add ppc64 to Architectures as ghc6 is now available on ppc64.
  * debian/patches/01_update-manpage.dpatch: updated. Fix typo.
  * debian/patches/06_fix-Setup-for-ghc-6.4.2.dpatch: added. Replace
    Setup.hs with version from upstream VCS to fix build with ghc 6.4.2.

 -- Arjan Oosting <arjanoosting@home.nl>  Fri, 30 Jun 2006 22:49:46 +0200

c2hs (0.14.5-1) unstable; urgency=low

  * New upstream release. Closes: #372836
    - no longer ships a library for ghc6.
  * New maintainer. Closes: #342801
  * debian/c2hs-doc.doc-base: change section to Apps/Programming.
  * added debian/control.in
    - drop the libghc6-c2hs-dev package.
    - use $ghc6_app_bdeps, $ghc6_arches substitution variables from
      update-haskell-control to get the build dependency on ghc6 and
      architecture list for c2hs.
    - replace ${Source-Version} with ${binary:Version} and
      ${source:Version} to make the package binNMU safe.
    - add build dependency on dpkg-dev (>= 1.13.19) which introduces
      ${binary:Version} and ${source:Version}.
    - move groff and linuxdoc-tools to Build-Depends-Indep.
  * debian/copyright: add copyright notice for the manual which is
    licensed under the GNU Free Document License.
  * debian/patches/*: remove old patches and change to dpatch.
  * debian/rules: change from cdbs to debhelper.
  * debian/watch: upgrade to format version 3.

 -- Arjan Oosting <arjanoosting@home.nl>  Fri, 23 Jun 2006 21:33:33 +0200

c2hs (0.13.6-5) unstable; urgency=low

  * QA upload.
  * Maintainer field set to the QA group.
  * Long description typo fixed. Closes: #363190
  * Standards-Version bumped.

 -- Emanuele Rocca <ema@debian.org>  Mon,  8 May 2006 21:15:01 +0200

c2hs (0.13.6-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * apply patch to fix incorrect paths in c2hs.conf. Closes: #337799.

 -- Pierre Habouzit <madcoder@debian.org>  Sat, 15 Apr 2006 22:36:21 +0200

c2hs (0.13.6-4) unstable; urgency=low

  * New debian/rules: Erases some files that make distclean forgets.
  * Package splited in 3 packages for compliance with ghc packages
    standard.
  * Depends on new version of libgmp3.
  * Included the text documentation.
  * Upload sponsored by John Goerzen <jgoerzen@debian.org>.

 -- Marco Tulio Gontijo e Silva <marcot@minaslivre.org>  Sat, 22 Oct 2005 18:08:58 -0200

c2hs (0.13.6-3) unstable; urgency=low

  * Added patch for compiling the tests. Thanks to Stefan Potyra
    <sistpoty@stud.uni-erlangen.de>. Closes: #330728
  * Upload sponsored by John Goerzen <jgoerzen@debian.org>.

 -- Marco Tulio Gontijo e Silva <marcot@minaslivre.org>  Sun,  9 Oct 2005 13:44:41 -0300

c2hs (0.13.6-2) unstable; urgency=low

  * Added groff in Build-Depends. Thanks to Andreas Jochens <aj@andaco.de>
    and Kurt Roeckx <kurt@roeckx.be>. Closes: #328910, #328954.
  * Upload sponsored by John Goerzen <jgoerzen@debian.org>.

 -- Marco Tulio Gontijo e Silva <marcot@minaslivre.org>  Sun, 18 Sep 2005 13:57:11 -0300

c2hs (0.13.6-1) unstable; urgency=low

  * New upstream version.
  * Depends on ghc6. Closes: #274157.
  * Can be build in any architecture. Closes: #319915.
  * Upload sponsored by John Goerzen <jgoerzen@debian.org>.

 -- Marco Tulio Gontijo e Silva <marcot@minaslivre.org>  Tue, 12 Jul 2005 22:03:14 +0000

c2hs (0.12.0-1) unstable; urgency=low

  * NMU (with maintainer's permission).
  * New upstream version. Closes: #202458.
  * Tarball is repacked to avoid problems with some files being in the
    tarball twice. Closes: #182548.
  * Removed "Recommends: ghc | ghc5" (seems redundant as ghc5 is being
    depended on and no other GHC is useful).
  * Force dependency to be on ghc5 rather than any other ghc (doesn't
    get ghc6 dependencies right currently).

 -- Ian Lynagh (wibble) <igloo@debian.org>  Tue, 18 Nov 2003 21:24:11 +0000

c2hs (0.10.17-1) unstable; urgency=low

  * New upstream release
  * removed patch c2hs_clean.dpatch (applied by upstream)
  * compiled with ghc5_5.04.2-1
    (closes: Bug#177552)
  * implemented proper auto* handling (config.*, autoconf)
  * added autotools-dev to build-deps, bumped needed autoconf version to
    >= 2.52
  * removed ghc4 alternative from Build-Deps to make builds from
    buildds deterministic
    (closes: Bug#164086)
  * set docdir for manpages
    (closes: Bug#171386)
  * adjusted debian/copyright with new version number

 -- Michael Weber <michaelw@debian.org>  Wed,  5 Feb 2003 00:23:07 +0100

c2hs (0.10.15-1) unstable; urgency=low

  * New upstream release
  * compiled with ghc5_5.04-1
  * had to repack upstream tarball, because dpkg-source acted up :(
    (c2hs-0.10.15/ -> c2hs-0.10.15.orig/)
  * use numeric uid for installations in debian/rules
  * adjusted doc installation to comply with upstream package
  * made ghc dependency versioning more strict (basically every new
    release is incompatible with the previous one)
  * use target "cleanall" instead of "clean"
  * proper source tree cleanup
    (c2hs_clean.dpatch)
  * default target is 'build'
  * added target 'show-depends'

 -- Michael Weber <michaelw@debian.org>  Sat, 20 Jul 2002 22:57:25 +0200

c2hs (0.9.9-2) unstable; urgency=low

  * added xutils to Build-Depends (for lndir)
    (closes: Bug#133419)
  * added groff to Build-Depends (sgml2txt needs it, and the
    deps of current linuxdoc-tools are rather broken, so I
    explicitly put it here for now)
  * bumped Standards-Version to 3.5.6.0

 -- Michael Weber <michaelw@debian.org>  Tue, 12 Feb 2002 01:13:09 +0100

c2hs (0.9.9-1) unstable; urgency=low

  * New upstream release
  * cleaned up patches, removed hack introduced in 0.8.2-2
    (solved by upstream)
  * adjusted build-deps (sgml-tools -> linuxdoc-tools)
  * more build-deps tweaks (ghc5 now fallback)
  * removed INSTALL from package to shut up lintian
    (package now lintian clean again)
  * unwedged build process a bit
    + removed install-stamp
    + uses dh_gencontrol interface to debian/substvars now
    + uses Depends: instead of Conflicts:
  * adjusted debian-test.c2hs to work around Makefile humbug

 -- Michael Weber <michaelw@debian.org>  Tue, 16 Oct 2001 11:17:25 +0200

c2hs (0.8.2-2) unstable; urgency=low

  * recompile w/ ghc-5.00 against libgmp3
  * small hack to make it work w/ ghc-5.00

 -- Michael Weber <michaelw@debian.org>  Sun, 15 Apr 2001 16:22:06 +0200

c2hs (0.8.2-1) unstable; urgency=low

  * New upstream release
  * removed 4.08.1 workaround patch, as upstream incorporated fix as
    promised
  * adjusted email in README.Debian
  * c2hs/todo -> c2hs/TODO
  * added preliminary support for debian-test package
  * added proper Conflicts to binary incompatible versions of package
    ghc4 (automagically).
    NOTE: Mail me ASAP, if this change rises any problems during
          upgrades etc.

 -- Michael Weber <michaelw@debian.org>  Sun, 11 Mar 2001 02:00:29 +0100

c2hs (0.7.8-1) unstable; urgency=low

  * New upstream release
  * manpages now in upstream release
  * adjusted watch files to match ``c2hs-([.0-9]*)\.tar\.gz'', because
    of wrong filename detection
  * removed patch (now in upstream)
    (c2hs_c2hsbase_ghc408hack.dpatch)
  * removed patch (solved by upstream)
    (c2hs_genbind.dpatch)
  * toplevel configure doesn't like ghc4-4.08.1 (work-around)
    NOTE: despite the diff.gz is currently a bit messy; it's left like
          that for now, b/c upstream knows and already incorporated a
	  real fix.
  * used dh_installchangelogs for installing ChangeLog
  * added Build-Depends
  * bumped Standards-Version to 3.2.1

 -- Michael Weber <michaelw@debian.org>  Sun, 14 Jan 2001 21:18:23 +0100

c2hs (0.7.6-3) unstable; urgency=low

  * unreleased
  * changed email address to @debian.org

 -- Michael Weber <michaelw@debian.org>  Sun, 14 Jan 2001 19:04:04 +0100

c2hs (0.7.6-2) unstable; urgency=low

  * changed Architeture to "i386" for the moment
  * recompiled with ghc-4.08.0
  * updated rules.local
  * added float handling patch for c2hs/gen/GenBind.hs
    (c2hs_genbind.dpatch)
  * small hack to make c2hs work with ghc-4.08
    (c2hs_c2hsbase_ghc408hack.dpatch)
  * adjusted version regexp

 -- Michael Weber <michael.weber@post.rwth-aachen.de>  Tue,  1 Aug 2000 16:31:40 +0200

c2hs (0.7.6-1) unstable; urgency=low

  * New upstream release
  * removed `c2hs_doc.dpatch' (incorporated by upstream)
  * slightly modified patch rules in rules.local
  * removed c2hs/tests from dh_installexamples as upstream now installs
    them
  * adjusted upstream email in copyright, c2hs.1.in, c2hs-config.1.in,
    doc-base.package
  * adjusted `watch' to new upstream location

 -- Michael Weber <michael.weber@post.rwth-aachen.de>  Mon, 17 Apr 2000 15:27:22 +0200

c2hs (0.7.3-2) unstable; urgency=low

  * added more examples from the distribution
  * minor cleanups in debian/rules
  * fixed bug in directory structure

 -- Michael Weber <michael.weber@post.rwth-aachen.de>  Mon, 15 Nov 1999 20:01:48 +0100

c2hs (0.7.3-1) unstable; urgency=low

  * Initial Release.
  * wrote man-pages for c2hs and c2hs-config

 -- Michael Weber <michael.weber@post.rwth-aachen.de>  Sat, 13 Nov 1999 22:13:15 +0100


